Bug 869722 - Request version bump davfs2-1.4.7
Request version bump davfs2-1.4.7
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: davfs2 (Show other bugs)
17
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 11:49 EDT by Erik Logtenberg
Modified: 2013-07-04 07:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 07:09:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to davfs2.spec for version bump (1.23 KB, patch)
2013-02-25 08:42 EST, Erik Logtenberg
erik: review?
Details | Diff

  None (edit)
Description Erik Logtenberg 2012-10-24 11:49:23 EDT
Description of problem:

On july 19th, version 1.4.7 of davfs2 was released, see announcement [1]. This is a bugfix release.

[1] https://savannah.nongnu.org/forum/forum.php?forum_id=7306

Fedora 16 and 17 still ship version 1.4.6, which has several bugs that were fixed in 1.4.7. The Changelog lists 15 separate fixed bugs and enhancements (and no actual new features).

It would be nice if we could bump to the 1.4.7 release.

Thanks!

Erik.
Comment 1 Fedora End Of Life 2013-01-16 15:58:24 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Erik Logtenberg 2013-01-17 07:42:21 EST
Yeah, so I didn't want to seem impolite, so I didn't bump this request, but it is in fact still an open request.

I requested it for F16 and F17 so even if F16 support is going to end, it would still be beneficial to Fedora if the version of davfs could be bumped for F17 at least.

Even F18 still ships with davfs-1.4.6, so this request is still valid for F18 as well...
Comment 3 Erik Logtenberg 2013-02-05 09:19:08 EST
Is there anything that I can do to help this process? It is really a very small change to the spec file to bump the version, I could easily do that myself. If I were to do that and upload the new spec file here, would that help?
Comment 4 Erik Logtenberg 2013-02-25 08:42:16 EST
Created attachment 702359 [details]
Patch to davfs2.spec for version bump

Proposed patch for the version bump.
Comment 5 Fedora End Of Life 2013-02-26 10:14:17 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Erik Logtenberg 2013-02-26 10:54:35 EST
This is a valid bug for Fedora 17, 18, Rawhide, and as long no one responds, it will remain valid for all Fedora versions still to come.

Please, someone review my patch, it's fairly trivial.
Comment 7 Will Woods 2013-02-26 13:02:04 EST
Reviewed and pushed! davfs2-1.4.7-1.fc{17,18,19} are now building.

Update requests will be created in bodhi shortly.
Comment 8 Will Woods 2013-02-26 13:14:24 EST
Updates created:

  https://admin.fedoraproject.org/updates/davfs2-1.4.7-1.fc18
  https://admin.fedoraproject.org/updates/davfs2-1.4.7-1.fc17

Test and be merry! If I don't hear anything bad I'll push them stable in a week or so.
Comment 9 Fedora End Of Life 2013-07-04 03:47:46 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Erik Logtenberg 2013-07-04 07:09:24 EDT
New packages work fine, this bug is resolved.

Note You need to log in before you can comment on or make changes to this bug.